%define _name gdesklets
%define package psi
%define release_date 20031028

Name: gdesklets-sensors-%package
Version: 0.2.0
Release: alt0.1_%release_date

Summary: %name is a set of %_name sensors by Psi
License: GPL
Group: Graphical desktop/GNOME
Url: http://%name.gnomedesktop.org

Source: PsiSensorPackage-%release_date.tar.bz2

BuildArch: noarch

Provides: gdesklets-sensors-CPU
Provides: gdesklets-sensors-Disk
Provides: gdesklets-sensors-ExternalInterval
Provides: gdesklets-sensors-IconButton
Provides: gdesklets-sensors-Memo
Provides: gdesklets-sensors-MemoOver
Provides: gdesklets-sensors-Memory
Provides: gdesklets-sensors-Network
Provides: gdesklets-sensors-Ping
Provides: gdesklets-sensors-popmail
Provides: gdesklets-sensors-Theme
Provides: gdesklets-sensors-VariableBorder

%define gdesklets_ver 0.24
BuildRequires: python

PreReq: %_name >= %gdesklets_ver 

%description
gDesklets provides an advanced architecture for desktop applets -- tiny
displays sitting on your desktop in a symbiotic relationship of eye
candy and usefulness.

This package provides a set of sensors for gDesklets by Psi.

%define gdesklets_sensors_dir %_datadir/%_name/Sensors

%prep
%setup -q -c %_name
tar -jxf %SOURCE0

# provided by gdesklets package
%__rm -rf FontSelector*

%install
%__mkdir_p %buildroot%gdesklets_sensors_dir

for dir in `find ./* -type d`; do
    pushd "$dir"
	./*.bin --nomsg %buildroot%gdesklets_sensors_dir
    popd
done

find %buildroot%gdesklets_sensors_dir -iname "Makefile*" -print0| xargs -r0 rm -f --

%files
%gdesklets_sensors_dir/*

%changelog
* Mon Nov 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt0.1_20031028
- First build for Sisyphus.

